package model;

public enum City {
    BAKU("GYD"),
    ISTANBUL("IB"),
    PARIS("ORY"),
    NEWYORK("JFK"),
    TOKYO("HND"),
    BARCELONA("BCN"),
    MOSCOW("DME"),
    CHICAGO("ORD"),
    SINGAPORE("SIN"),
    DUBAI("DXB"),
    SANFRANCISCO("SFO"),
    MADRID("MAD"),
    AMSTERDAM("AMS"),
    LOSANGELES("LAX"),
    ROME("FCO"),
    BOSTON("BOS"),
    SANJOSE("SJC"),
    TORONTO("YYZ"),
    WASHINGTON("IAD"),
    ZURICH("ZRH"),
    HONGKONG("HKG"),
    BERLIN("TXL"),
    BEIJING("PEK"),
    SYDNEY("SYD"),
    LASVEGAS("LAS"),
    FRANKFURT("FRA"),
    SANDIEGO("SAN"),
    SEOUL("ICN"),
    PRAGUE("PRG"),
    MUNICH("MUC"),
    HOUSTON("IAH"),
    MILAN("MXP"),
    DUBLIN("DUB"),
    SEATTLE("SEA"),
    DALLAS("DFW"),
    ISANBUL("IST"),
    VANCOUVER("YVR"),
    MELBOURNE("MEL"),
    VIENNA("VIE"),
    ABUDHABI("AUH"),
    CALGARY("YYC"),
    BRUSSELS("BRU"),
    DENVER("DEN"),
    DOHA("DIA"),
    OSLO("OSL"),
    ORLANDO("MCO"),
    AUSTIN("AUS"),
    STOCKHOLM("ARN"),
    MONTREAL("YUL"),
    PHILADELPHIA("PHL"),
    BRISBANE("BNE"),
    ATLANTA("ATL"),
    COPENHAGEN("CPH"),
    SAINTPETERSBURG("LED"),
    PERTH("PER"),
    MINNEAPOLIS("MSP"),
    LISBON("LIS"),
    VENICE("VCE"),
    PORTLAND("PDX"),
    HAMBURG("HAM"),
    TELAVIV("LOD"),
    LYON("LYN"),
    FLORENCE("FLR"),
    STUTTGART("STR"),
    LUXEMBOURG("LUX"),
    EDMONTON("YEG"),
    OSAKA("ITM"),
    AUCKLAND("AKL"),
    OTTAWA("YOW"),
    BUDAPEST("BUD"),
    HELSINKI("HEL"),
    ATHENS("ATH"),
    COLOGNE("CGN"),
    BANGKOK("BKK"),
    CHARLOTTE("CLT"),
    PHOENIX("SYX"),
    NEWORLEANS("MSY"),
    BALTIMORE("BAL"),
    VALENCIA("VLC"),
    MANCHESTER("MAN"),
    NASHVILLE("BNA"),
    SALTLAKECITY("SLC"),
    DUSSELDROF("DUS"),
    SANPAULO("GRU"),
    RIODEJANEIRO("GIG"),
    RALEIGH("RDU"),
    WARSAW("WAW"),
    MARSEILLE("MRS"),
    SANANTONINO("SAT"),
    BIRMINGHAM("BHX"),
    COLUMBUS("CMH"),
    SHANGAI("PVG"),
    STLOUIS("STL"),
    DETROIT("DTW"),
    SACRAMENTO("SMF"),
    MILWAUKEE("MKE"),
    KANSASCITY("MCI"),
    TAMPA("TPA"),
    NUREMBERG("NUE"),
    BRISTOL("BRS");
private String code;

    City(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }
    public static City randCity(){
        City[] values = City.values();
        return values[(int) (Math.random()*values.length)];
    }


}
